{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}
<div class="bg-primary">
    <div class="container py-5 d-flex justify-content-center align-items-center bg-success" style="height: 100vh;">
        <form method="post">

            <h1 class="h3 mb-3 font-weight-normal">Please sign in</h1>
            <label for="inputUsername" class="mt-2">Username</label>
            <input type="text" value="{{ last_username }}" name="username" id="inputUsername" class="form-control my-2"
                autocomplete="username" required autofocus>
            <label for="inputPassword" class="mt-2">Password</label>
            <input type="password" name="password" id="inputPassword" class="form-control my-2"
                autocomplete="current-password" required>

            <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

            <div class="checkbox mb-3">
                <label>
                    <input type="checkbox" name="_remember_me"> Remember me
                </label>
            </div>


            <div class="row d-flex justify-content-between flex-row mt-3">
                <button class="btn btn-primary w-50" type="submit">
                    Sign in
                </button>
                <button class="btn btn-danger w-50">
                    <a href="{{ path('app_register') }}">
                        Register
                    </a>
                </button>
            </div>
        </form>
    </div>
</div>
{% endblock %}